MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeOnBoardTemp Class Reference

Driver for Auriga On Board Temperature device. More...

`#include <src/MeOnBoardTemp.h>`

Inheritance diagram for MeOnBoardTemp:
[legend]
Collaboration diagram for MeOnBoardTemp:
[legend]

## Public Member Functions
| MeOnBoardTemp (void)
| MeOnBoardTemp (uint8_t port)
void | setpin (uint8_t analog_pin)
int16_t | readAnalog (void)
float | readValue (void)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Auriga On Board Temperature device.

Class: MeOnBoardTemp

Description
  Declaration of Class MeOnBoardTemp

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeOnBoardTemp() [1/2]

MeOnBoardTemp::MeOnBoardTemp | ( | void |  | ) |

Alternate Constructor which can call your own function to map the On Board Temperature to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeOnBoardTemp() [2/2]

MeOnBoardTemp::MeOnBoardTemp | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the On Board Temperature to arduino port

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## Member Function Documentation

## ◆ readAnalog()

int16_t MeOnBoardTemp::readAnalog | ( | void |  | ) |

Function
  readAnalog

Description
  Read the analog signal of On Board Temperature.

Output
  None

Returns
  The vlaue from On Board Temperature's analog output

Others
  None

## ◆ readValue()

float MeOnBoardTemp::readValue | ( | void |  | ) |

Function
  readValue

Description
  Read the value of On Board Temperature.

Output
  None

Returns
  The vlaue from On Board Temperature.

Others
  None

## ◆ setpin()

void MeOnBoardTemp::setpin | ( | uint8_t | analog_pin | ) |

Function
  setpin

Description
  Reset the analog available PIN by its arduino port.

Parameters

  [in] | analog_pin | - arduino port for analog signal input

Output
  None

Returns
  None

Others
  None

The documentation for this class was generated from the following files:

- src/MeOnBoardTemp.h
- src/MeOnBoardTemp.cpp